#include <bits/stdc++.h>
using namespace std;

string a,b,c,res;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);cout.tie(0);
    cin>>a>>b>>c;
    res=max(res,a+b+c);
    res=max(res,a+c+b);
    res=max(res,b+a+c);
    res=max(res,b+c+a);
    res=max(res,c+a+b);
    res=max(res,c+b+a);
    cout<<res;
}